=== debian/changelog ===
kate (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:58:32 +0100

kate (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:16:43 +0100

kate (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:08:02 +0100

kate (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Add missing QML dependencies
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:34:00 +0100

kate (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Felix Geyer ]
  * Fix "KDEInit could not launch Kate" error when opening second file with Kate
    in Dolphin. (LP: #1449029)
    - Add upstream_Register_with_dbus_to_wake_up_KRun.patch

  [ Scarlett Clark ]
  * Fix merge conflict (changelog version discrepancy)
  * manual merge. 
  * manual merge backports. 
  * Remove upstream_find-IconThemes.diff from series file.
    The patch does not exist in directory. 
  * and remove upstream_Register_with_dbus_to_wake_up_KRun.patch
    it has already been applied to this backport. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:37:40 +0200

kate (4:15.04.1-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 27 May 2015 08:19:24 -0700
