## kate 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 # minimal requirements
 cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
-set (QT_MIN_VERSION "5.2.0")
-set(KF5_DEP_VERSION "5.6.0")
+set (QT_MIN_VERSION "5.4.0")
+set(KF5_DEP_VERSION "5.10.0")
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
-set (KDE_APPLICATIONS_VERSION_MICRO "2")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 # we need some parts of the ECM CMake helpers
@@ -20,6 +20,7 @@
 include(ECMSetupVersion)
 include(ECMMarkNonGuiExecutable)
 include(ECMGenerateHeaders)
+include(ECMAddAppIcon) 
 include(GenerateExportHeader)
 
 include(CMakePackageConfigHelpers)
@@ -39,14 +40,9 @@
 
 # Load the frameworks we need
 find_package(KF5 "${KF5_DEP_VERSION}" REQUIRED COMPONENTS
-  Activities
   Config
   Crash
-  DocTools
-  GuiAddons
-  IconThemes
   I18n
-  Init
   JobWidgets
   KIO
   Parts
@@ -55,6 +51,16 @@
   XmlGui
   IconThemes
 )
+
+# some optional deps, to make compiling on some OSes easier
+find_package(KF5 "${KF5_DEP_VERSION}" COMPONENTS
+  Activities
+  DocTools
+)
+
+if (KF5Activities_FOUND)
+    add_definitions(-DKActivities_FOUND)
+endif ()
 
 # use sane compile flags
 add_definitions(
@@ -84,7 +90,10 @@
 # addons, e.g. kate plugins, plasma applets, ...
 ecm_optional_add_subdirectory (addons)
 
-# docs
-ecm_optional_add_subdirectory (doc)
+# docs, if doc tools around
+if (KF5DocTools_FOUND)
+    ecm_optional_add_subdirectory (doc)
+endif ()
 
+# tell about our features (and what is missing)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
