=== debian/changelog ===
kate (4:15.12.3-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for new gitlib2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Apr 2016 23:36:07 +0200

kate (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:03:10 -0700

kate (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:28:59 +0100

kate (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:32 +0100

kate (4:15.08.2-1) unstable; urgency=medium

  * Add copyright information about the current license of the linkable
    code. (Closes: #799431)
  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:43 +0200

kate (4:15.08.1-1) unstable; urgency=medium

  * Drop fake katepart dependency, it wasnt really needed. (Closes:
    799294) Thanks to Ralf Jung
  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:53 +0200

kate (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * Add fake dependency for the kde4 katepapart package.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 17:18:25 +0200

kate (4:15.04.3-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * Remove upstream applied patch: upstream_find-IconThemes.diff
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * Update copyright information.
  * New upstream release (15.04.3).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 16:07:50 +0200

kate (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:54 +0200

kate (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 22:39:13 +0100
