=== debian/control ===
--- 
+++ 
@@ -5,40 +5,40 @@
 Uploaders: Modestas Vainius <modax@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               kinit-dev,
-               kio-dev,
+               kdoctools-dev (>= 5.6.0~),
+               kinit-dev (>= 5.6.0~),
+               kio-dev (>= 5.6.0~),
                libgit2-dev,
-               libkf5activities-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
+               libkf5activities-dev (>= 5.6.0~),
+               libkf5config-dev (>= 5.6.0~),
+               libkf5crash-dev (>= 5.6.0~),
                libkf5dbusaddons-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
+               libkf5guiaddons-dev (>= 5.6.0~),
+               libkf5i18n-dev (>= 5.6.0~),
+               libkf5iconthemes-dev (>= 5.6.0~),
                libkf5itemmodels-dev,
-               libkf5jobwidgets-dev,
+               libkf5jobwidgets-dev (>= 5.6.0~),
                libkf5newstuff-dev,
                libkf5notifications-dev,
-               libkf5parts-dev,
+               libkf5parts-dev (>= 5.6.0~),
                libkf5service-dev,
-               libkf5texteditor-dev,
+               libkf5texteditor-dev (>= 5.6.0~),
                libkf5threadweaver-dev,
                libkf5wallet-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               libkf5windowsystem-dev (>= 5.6.0~),
+               libkf5xmlgui-dev (>= 5.6.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                plasma-framework-dev,
-               qtbase5-dev,
-               qtscript5-dev
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kate.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kate.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kate.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kate.git
 
 Package: kate
 Section: editors
