=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 override_dh_auto_configure:
 	$(overridden_command) -- -DPYTHON_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/libpython2.7.so.1
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
 
 override_dh_auto_install:
 	$(overridden_command)
