=== debian/control ===
--- 
+++ 
@@ -7,38 +7,38 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev (>= 5.6.0~),
-               kinit-dev (>= 5.6.0~),
-               kio-dev (>= 5.6.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
                libgit2-dev,
-               libkf5activities-dev (>= 5.6.0~),
-               libkf5config-dev (>= 5.6.0~),
-               libkf5crash-dev (>= 5.6.0~),
-               libkf5dbusaddons-dev,
-               libkf5guiaddons-dev (>= 5.6.0~),
-               libkf5i18n-dev (>= 5.6.0~),
-               libkf5iconthemes-dev (>= 5.6.0~),
-               libkf5itemmodels-dev,
-               libkf5jobwidgets-dev (>= 5.6.0~),
-               libkf5newstuff-dev,
-               libkf5notifications-dev,
-               libkf5parts-dev (>= 5.6.0~),
-               libkf5service-dev,
-               libkf5texteditor-dev (>= 5.6.0~),
-               libkf5threadweaver-dev,
-               libkf5wallet-dev,
-               libkf5windowsystem-dev (>= 5.6.0~),
-               libkf5xmlgui-dev (>= 5.6.0~),
+               libkf5activities-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5guiaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5itemmodels-dev (>= 5.24.0~),
+               libkf5jobwidgets-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5notifications-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5texteditor-dev (>= 5.24.0~),
+               libkf5threadweaver-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev,
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4)
+               plasma-framework-dev (>= 5.24.0~),
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://kate-editor.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kate.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors
@@ -84,12 +84,3 @@
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax
  highlighting, automatic indentation, and numerous other text tools.
-
-Package: kate-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: kate | kwrite, ${misc:Depends}
-Description: debugging symbols for Kate
- This package contains debugging files used to investigate problems with
- binaries included in Kate.
