=== addons/CMakeLists.txt ===
--- 
+++ 
@@ -23,13 +23,14 @@
 # backtrace
 ecm_optional_add_subdirectory (backtracebrowser)
 
-# file browser, atm guarded until we have a check for KIOWidgets
-if (NOT WIN32)
-    ecm_optional_add_subdirectory (filebrowser)
-endif()
+# file browser
+ecm_optional_add_subdirectory (filebrowser)
 
 # xml completion
 ecm_optional_add_subdirectory (xmltools)
+
+# XML Validation plugin
+ecm_optional_add_subdirectory (xmlcheck)
 
 # open header matching to current file
 ecm_optional_add_subdirectory (openheader)
@@ -70,8 +71,8 @@
     ecm_optional_add_subdirectory (snippets)
 endif()
 
-if(KF5ItemModels_FOUND)
-    # terminal tool view
+# terminal tool view
+if(KF5Service_FOUND AND NOT WIN32)
     ecm_optional_add_subdirectory (konsole)
 endif()
