=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 	find debian/tmp/usr/lib -maxdepth 1 -name '*.so' -type l -delete
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=kate-dbg
+	$(overridden_command) --dbgsym-migration='kate-dbg (<= 4:15.12.1-1~~)'
