## kate 16.12.3

=== debian/changelog ===
kate (4:16.12.3-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Stop re-building the package in debian/tests/testuite, use the build-
    needed restriction instead (that is the correct way to rebuild the package
    if needed).
  * Create a $HOME dir before running the testsuite. This avoids the testsuite
    hanging in environments where $HOME is not set.
  * New upstream release (16.12.3)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:31 +0000

kate (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:28 +0000
