=== debian/control ===
--- 
+++ 
@@ -7,39 +7,38 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev (>= 5.10.0~),
-               kinit-dev (>= 5.6.0~),
-               kio-dev (>= 5.10.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
                libgit2-dev,
-               libkf5activities-dev (>= 5.10.0~),
-               libkf5config-dev (>= 5.10.0~),
-               libkf5crash-dev (>= 5.10.0~),
-               libkf5dbusaddons-dev,
-               libkf5guiaddons-dev (>= 5.6.0~),
-               libkf5i18n-dev (>= 5.10.0~),
-               libkf5iconthemes-dev (>= 5.10.0~),
-               libkf5itemmodels-dev,
-               libkf5jobwidgets-dev (>= 5.10.0~),
-               libkf5kio-dev (>= 5.10.0~),
-               libkf5newstuff-dev,
-               libkf5notifications-dev,
-               libkf5parts-dev (>= 5.10.0~),
-               libkf5service-dev,
-               libkf5texteditor-dev (>= 5.10.0~),
-               libkf5threadweaver-dev,
-               libkf5wallet-dev,
-               libkf5windowsystem-dev (>= 5.10.0~),
-               libkf5xmlgui-dev (>= 5.10.0~),
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5itemmodels-dev (>= 5.31.0~),
+               libkf5jobwidgets-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5threadweaver-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev,
-               qtbase5-dev (>= 5.4.0~),
-               qtscript5-dev (>= 5.4.0~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://kate-editor.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kate.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kate.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kate
 
 Package: kate
 Section: editors
