=== doc/kwrite/CMakeLists.txt ===
########### install files ###############

kdoctools_create_handbook (index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kwrite)
