=== debian/changelog ===
kate (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:24:26 +0000

kate (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:56:01 +0000

kate (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:59 +0000

kate (4:17.04.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest libgit2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Oct 2017 09:01:21 -0400
