## kate 18.04.3

=== debian/changelog ===
kate (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Remove debian/not-installed

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jul 2018 08:45:13 +0100
